<div class="ibox-form-container mb-0">

  <div *ngIf="hideTitle" class="ibox-title">
    <div class="ibox-title-child" style="display: inline-block">{{"ACCOUNT_DETAILS.EVENT.TITLE2"|translate}}</div>
  </div>

  <form class="ibox-filter p-4 mt-2" [formGroup]="formGroup" (ngSubmit)="onSubmit()" autocomplete="off">

    <div class="row">
      <div class="col-sm-6">
        <input type="text" class="form-control form-control-sm" formControlName="subject"
               [placeholder]="'FIELD.EVENT.SUJET'|translate">
        <div *ngIf="formGroup.get('subject').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('subject').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>

      <div class="col-sm-6 mt-sm-0 mt-2">
        <ngx-select
          [items]="eventTypeList"
          [optionValueField]="'code'"
          [optionTextField]="'value'"
          formControlName="type"
          [placeholder]="'FIELD.EVENT.TYPE'|translate"
          size='small'
          ngDefaultControl>
        </ngx-select>
        <div *ngIf="formGroup.get('type').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('type').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row mt-2 mt-sm-4">
      <div class="col-sm-6">
        <ngx-select
          [items]="statusList"
          [optionValueField]="'code'"
          [optionTextField]="'value'"
          formControlName="status"
          [placeholder]="'FIELD.EVENT.STATUT'|translate"
          size='small'
          ngDefaultControl>
        </ngx-select>
        <div *ngIf="formGroup.get('status').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('status').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>

      <div class="col-sm-6 mt-sm-0 mt-2">
        <input type="text" class="form-control form-control-sm" formControlName="location"
               [placeholder]="'FIELD.EVENT.LOCATION'|translate">
        <div *ngIf="formGroup.get('location').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('location').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <ng-container *ngIf="data?.redirect && !data?.accountCode">
      <div class="row mt-2 mt-sm-4">
        <div class="col-sm-6">
          <ngx-select [items]="accountTypeList" [optionValueField]="'code'" [optionTextField]="'label'"
                      formControlName="accountType" [placeholder]="'FIELD.TASK.LINKED_TO'|translate" size="small"
                      [ngClass]="{'disabled': formGroup?.get('accountType').disabled}">
          </ngx-select>
          <div *ngIf="formGroup?.get('accountType').invalid && showValidationsMsg">
            <div *ngIf="formGroup?.get('accountType').errors.required" class="text-danger">
              <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
            </div>
          </div>
        </div>

        <div class="col-sm-6 mt-sm-0 mt-2">
          <ngx-select
            [items]="formGroup?.get('accountType').value === 'PP' ? accountPPList : formGroup?.get('accountType').value === 'PM' ? accountPMList : null"
            [optionValueField]="'code'" [optionTextField]="'description'" formControlName="account" size="small"
            [placeholder]="'FIELD.TASK.COMPTE'|translate" [ngClass]="{'disabled': formGroup?.get('account').disabled}">
          </ngx-select>
          <div *ngIf="formGroup?.get('account').invalid && showValidationsMsg">
            <div *ngIf="formGroup?.get('account').errors.required" class="text-danger">
              <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
            </div>
          </div>
        </div>
      </div>
    </ng-container>

    <ng-container *ngIf="data?.accountCode">
      <div class="row mt-2 mt-sm-4">
        <div class="col-sm-6">
          <input type="text" class="form-control form-control-sm" formControlName="account"
                 disabled [placeholder]="'FIELD.ACTIVITY.COMPTE'|translate">
        </div>
      </div>
    </ng-container>

    <ng-container *ngIf="!data?.redirect">

      <div class="row mt-2 mt-sm-4">
        <div class="col-sm-6 col-form-label font-weight-normal">
          <ng-container *ngIf="accountType==='PP'">
            {{accountPP?.nom + ' ' + accountPP?.prenom}}
          </ng-container>
          <ng-container *ngIf="accountType==='PM'">
            {{accountPM?.raisonSociale}}
          </ng-container>
        </div>

        <div class="col-sm-6 mt-sm-0 mt-2">
          <select class="form-control form-control-sm" formControlName="contact">
            <option [ngValue]="null" selected [hidden]="formGroup.get('contact').value === null">
              {{(formGroup.get('contact').value === null ? 'FIELD.EVENT.CONTACT' : '')|translate}}
            </option>
            <option *ngFor="let contact of contactsList" [ngValue]="contact">{{contact.descriptionContact}}</option>
          </select>
          <div *ngIf="formGroup.get('contact').invalid && showValidationsMsg">
            <div *ngIf="formGroup.get('contact').errors.required" class="text-danger">
              <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
            </div>
          </div>
        </div>
      </div>

    </ng-container>

    <div class="row mt-2 mt-sm-4">
      <div class="col-sm-6">
        <input type="text" class="form-control form-control-sm" formControlName="startDate"
               [owlDateTime]="startDate" [placeholder]="'FIELD.EVENT.DATE_DEBUT'|translate">
        <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="startDate"
              [title]="'FIELD.PLEASE.CHOOSE'|translate"><i class="ri-calendar-line"></i></span>
        <owl-date-time #startDate [pickerType]="'calendar'"></owl-date-time>
        <div *ngIf="formGroup.get('startDate').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('startDate').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>

      <div class="col-sm-6 mt-sm-0 mt-2">
        <input type="text" class="form-control form-control-sm" formControlName="endDate"
               [owlDateTime]="endDate" [placeholder]="'FIELD.EVENT.DATE_FIN'|translate">
        <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="endDate"
              [title]="'FIELD.PLEASE.CHOOSE'|translate"><i class="ri-calendar-line"></i></span>
        <owl-date-time #endDate [pickerType]="'calendar'"></owl-date-time>
        <div *ngIf="formGroup.get('endDate').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('endDate').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row mt-2 mt-sm-4">
      <div class="col-sm-6">
        <textarea rows="3" type="text" class="form-control form-control-sm" formControlName="description"
                  [placeholder]="'FIELD.EVENT.DESCRIPTION'|translate"></textarea>
        <div *ngIf="formGroup.get('description').invalid && showValidationsMsg">
          <div *ngIf="formGroup.get('description').errors.required" class="text-danger">
            <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col">
        <div class="float-right mt-sm-0 mt-2">
          <button type="reset" class="reset-button btn btn-sm mr-2" [title]="'FIELD.BUTTONS.RESET'|translate"
                  (click)="initFormGroup()"><i class="ri-arrow-go-back-line"></i>
          </button>
          <button type="submit" class="submit-button btn btn-sm" [title]="'FIELD.BUTTONS.SAVE'|translate">
            <i class="ri-save-2-line"></i>
          </button>
        </div>
      </div>
    </div>

  </form>

</div>
